@import url("https://fonts.googleapis.com/css2?family=Inter:wght@200;300;400;500;600;700;800;900&display=swap");

/* Global reset */
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

body {
  font-family: "Inter", sans-serif;
  font-size: 1.6rem;
  line-height: 1.5;
}

a {
  text-decoration: none;
}

ul {
  list-style: none;
}

input {
  outline: none;
  background-color: transparent;
}

button {
  border: none;
  background-color: transparent;
  cursor: pointer;
}

/* Header */
.header {
  background-color: #1a1a1a;
  padding: 1rem 0;
  position: relative;
}

.nav {
  padding: 0 2rem;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  gap: 2rem;
  align-items: center;
}

.search {
  display: flex;
  align-items: center;
  background-color: #303030;
  padding: 0.5rem 2rem;
  border-radius: 0.8rem;
  flex: 0 0 50%;
  box-shadow: 0 -2px 0 rgba(0 0 0/0.15);
  transition: 0.5s;
}

/* hover state */
.search:hover,
.search:focus {
  box-shadow: inset 0 0 0.5rem #fff;
}

.search:active {
  box-shadow: inset 0 0 0.5rem #fff;
  outline: 1px solid #fff;
}

.search-icon {
  width: 2rem;
  height: 2rem;
  color: #c6c6c6;
}
.search input {
  color: #fff;
  border: none;
  padding: 0.6rem;
  width: 100%;
}

.search input::placeholder {
  color: #c6c6c6;
  font-size: 1.4rem;
}

.logo-mobile {
  display: none;
}

.user {
  display: flex;
  align-items: center;
  gap: 1rem;
  transition: 0.5s;
}

.user-notify {
  background-color: #303030;
  padding: 0.6rem 0.8rem;
  border-radius: 0.5rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: fit-content;
  transition: 0.5s;
  cursor: pointer;
}

.user-notify:hover {
  background-color: #616161;
}

.user-notify .notify-icon {
  width: 2rem;
  height: 2rem;
  color: #fff;
}

.user-name {
  color: #fff;
  padding: 0.6rem 1rem;
  font-weight: 300;
  font-size: 1.4rem;
  flex-shrink: 0;
}

.user-avatar {
  width: 3rem;
  height: 3rem;
  background-color: #36fba1;
  font-weight: 200;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border-radius: 0.5rem;
  flex-shrink: 0;
  transition: 0.5s;
}

.user-profile {
  display: flex;
  align-items: center;
  cursor: pointer;
  border-radius: 0.5rem;
  background-color: #303030;
  transition: 0.5s;
}

.user-profile:hover {
  background-color: #616161;
}
/* 
.user-profile:hover .user-name,
.user-profile:active .user-name {
  background-color: #616161;
  border-radius: 0.5rem 0 0 0.5rem;
  padding: 0.6rem 1.5rem 0.6rem 0.6rem;
}

.user-profile:hover .user-avatar,
.user-profile:active .user-avatar {
  margin: 0 0 0 -1rem;
} */

/* Main */
/* Select Plan */

.select-plan {
  margin-top: 4rem;
}

.plan {
  background-color: #1a1a1a;
  width: 70%;
  margin: 0 auto;
  border-radius: 0.8rem;
  padding: 1.4rem 2rem;
  color: #e3e3e3;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.close {
  font-size: 2.2rem;
  cursor: pointer;
  color: #e3e3e3;
  flex-shrink: 0;
}

.select {
  display: flex;
  align-items: center;
  gap: 2rem;
  width: 100%;
}

.btn-select {
  background-color: #fff;
  box-shadow: 0px -1px 0px 0px rgba(181, 181, 181, 1) inset;
  padding: 1rem 2rem;
  font-weight: 600;
  color: #1a1a1a;
  font-size: 1.4rem;
  border-radius: 0.8rem;
  flex-shrink: 0;
  transition: 0.5s;
  margin-left: auto;
  margin-right: 2rem;
}

.btn-select:hover,
.btn-select:active {
  background-color: #e7e7e7;
  box-shadow: 0px -1px 0px 0px rgba(181, 181, 181, 1) inset;
}

.btn-select:active {
  transform: scale(0.98);
}

/* drop down */

.drop-down {
  padding-bottom: 4rem;
}
.container {
  width: 70%;
  margin: 0 auto;
  margin-top: 2rem;
  background-color: #fff;
  border-radius: 0.8rem;
  box-shadow: 0 4px 10px rgba(0 0 0/0.2);
}

.drop-down--container {
  display: flex;
  justify-content: space-between;
  padding: 2rem;
}

progress {
  height: 0.7rem;
  background-color: #e7e7e7;
  border-radius: 0.5rem;
}

progress::-webkit-progress-bar {
  background-color: #e7e7e7;
  border-radius: 0.5rem;
}

progress::-webkit-progress-value {
  background-color: #1a1a1a;
  border-radius: 0.5rem;
}

.drop-down--progress {
  display: flex;
  align-items: center;
  gap: 2rem;
}

.drop-down--header {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.drop-down--title {
  font-size: 1.8rem;
  font-weight: 600;
  margin-bottom: -0.8rem;
}

.drop-down--toggle {
  cursor: pointer;
  display: inline;
  height: fit-content;
  width: fit-content;
  font-size: 1.8rem;
}

.drop-down--content {
  height: 0;
  opacity: 0;
  pointer-events: none;
  visibility: hidden;
  transition: 0.5s;
}

.drop-down--content.active {
  height: auto;
  opacity: 1;
  pointer-events: all;
  visibility: visible;
  padding-top: 2rem;
}

.drop-down--content--container {
  padding: 1rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.drop-down--content--item {
  background-color: #f3f3f3;
  padding: 2rem 1rem;
  border-radius: 0.8rem;
}

.drop-down--select-item {
  display: flex;
  flex-direction: column;
}

.drop-down--content--description {
  margin-left: 3.2rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 2rem;
  pointer-events: all;
  visibility: visible;
  opacity: 1;
  height: auto;
  padding-top: 2rem;
  transform-style: preserve-3d;
  -webkit-transform-style: preserve-3d;
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  transition: 0.5s;
}

.drop-down--content--title {
  font-size: 1.6rem;
  font-weight: 600;
}

.drop-down--text {
  font-size: 1.4rem;
  font-weight: 400;
  display: flex;
  flex-direction: column;
  gap: 2rem;
  align-items: flex-start;
}

.drop-down--btn {
  background-color: #404040;
  padding: 1rem 2rem;
  font-weight: 600;
  color: #e7e7e7;
  font-size: 1.4rem;
  border-radius: 0.8rem;
  transition: 0.5s;
  box-shadow: 0px 0px 0px 1.5px rgba(51, 51, 51, 1),
    0px 1px 0px 1.5px rgba(51, 51, 51, 1), 0px 2px 0px 0px rgba(0, 0, 0, 1);
  flex-shrink: 0;
}

.drop-down--btn:hover,
.drop-down--btn:active {
  background-color: #2a2a2a;
  box-shadow: 0px 0px 0px 1.5px rgba(51, 51, 51, 1),
    0px 1px 0px 1.5px rgba(51, 51, 51, 1), 0px 2px 0px 0px rgba(0, 0, 0, 1);
}

.drop-down--btn:active {
  transform: scale(0.98);
}

.btn-group {
  display: flex;
  align-items: center;
  gap: 2rem;
}

.drop-down--btn__import {
  color: #1a1a1a;
  font-weight: 600;
}

.chevron-up {
  display: none;
}

input[type="checkbox"] {
  display: none;
}

.dotted-checkbox {
  border: 2px dashed #000;
  width: 2.5rem;
  height: 2.5rem;
  display: inline-block;
  border-radius: 50%;
  cursor: pointer;
  transition: 0.5s;
}

.dotted-checkbox:hover {
  border: 2px solid #000;
}

.checkmark {
  width: 2.5rem;
  height: 2.5rem;
  display: none;
  cursor: pointer;
}

.checked {
  display: flex;
  align-items: center;
  gap: 1rem;
  cursor: pointer;
}

.learn-more:any-link {
  display: block;
  color: #005bd3;
  font-weight: 600;
}

/* active class for accprdion */

.checked.active + .drop-down--content--description {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  height: 0;
  padding-top: 0;
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  transition: 0.5s;
}

.checked.active .dotted-checkbox {
  display: none;
}

.checked.active .checkmark {
  display: inline-block;
}

/* Drop down menu */

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  visibility: hidden;
  opacity: 0;
  pointer-events: none;
  transition: 0.5s;
}

.overlay.active {
  visibility: visible;
  opacity: 1;
  pointer-events: all;
  z-index: 9;
  background-color: rgba(0 0 0/0.4);
}

.menu {
  box-shadow: 0 15px 35px rgba(0 0 0/0.2);
  position: absolute;
  top: 7rem;
  right: 2rem;
  z-index: 10;
  width: 30%;
  font-size: 1.6rem;
  background-color: #fff;
  border-radius: 0.8rem;
  visibility: hidden;
  opacity: 0;
  pointer-events: none;
  transform: translateY(-100%);
  pointer-events: none;
  transition: 0.5s;
}

.drop-menu--content {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.alert-content {
  padding: 2rem;
}

.alert-heading {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 2rem;
}

.alert-icons {
  display: flex;
  align-items: center;
  gap: 2rem;
}

.alert-icons ion-icon[name="filter-outline"],
.alert-icons ion-icon[name="checkmark-circle-outline"] {
  font-size: 2.5rem;
  cursor: pointer;
  padding: 0.4rem;
  border-radius: 0.8rem;
  transition: 0.5s;
}

/* Onhover */

.alert-icons ion-icon[name="filter-outline"]:hover,
.alert-icons ion-icon[name="checkmark-circle-outline"]:hover {
  outline: 2px solid #005bd3;
}

.alert-body {
  text-align: center;
  background-color: #f1f1f1;
  padding: 2rem 1rem;
  font-weight: 600;
  color: #616161;
}

.drop-menu--container.active,
.alert-container.active {
  visibility: visible;
  opacity: 1;
  pointer-events: all;
  transform: translateY(0);
}

.user-detail {
  width: 100%;
  padding: 1rem;
}
.drop-menu--email {
  padding: 0 2rem;
}

.drop-menu--email p {
  display: flex;
  flex-direction: column;
}

.drop-menu--email p :nth-child(1) {
  font-weight: 600;
}

.drop-menu--signout {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  padding: 0 2rem 2rem;
}

.manage-account,
.signout {
  cursor: pointer;
}

.drop-menu--links {
  padding: 1rem;
}
.menu-links {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  border-bottom: 1px solid #dedede;
}

.menu-link:any-link {
  font-weight: 500;
  color: #3f3f3f;
  padding: 1rem;
  margin-top: -1.5rem;
  border-radius: 0.8rem;
  transition: 0.5s;
}

.menu-link:hover,
.menu-link:active {
  outline: 2px solid #005bd3;
  font-weight: 600;
  letter-spacing: 0.1rem;
}
.drop-menu--user-detail {
  display: flex;
  align-items: center;
  gap: 1rem;
}
.drop-menu--user {
  background-color: #dedede;
  border-radius: 0.8rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.4rem;
  width: 100%;
}

.drop-menu--user-name {
  font-size: 1.4rem;
  font-weight: 600;
}

.drop-menu--store {
  display: flex;
  align-items: center;
  gap: 1rem;
  border-bottom: 1px solid #dedede;
  padding: 0 2rem 1rem;
  cursor: pointer;
}

.drop-menu--store .store-icon {
  width: 2.5rem;
  height: 2.5rem;
}

/* Medium size screen */
@media (max-width: 768px) {
  .logo-desktop {
    display: none;
  }
  .logo-mobile {
    display: block;
  }

  .search {
    flex-grow: 1;
  }
  .user-name {
    display: none;
  }

  .plan {
    width: 100%;
    border-radius: 0;
    align-items: flex-start;
  }

  .select {
    flex-direction: column;
    align-items: flex-start;
  }
  .btn-select {
    margin-right: auto;
    margin-left: 0;
  }

  .container {
    width: 100%;
    border-radius: 0;
  }

  .drop-down--container {
    width: 100%;
  }

  html {
    font-size: 55%;
  }
}

/* small device */
@media (max-width: 540px) {
  .drop-down--content--description {
    flex-direction: column;
    align-items: flex-start;
  }
  .drop-down--btn {
    width: 100%;
  }

  .container,
  .plan {
    width: 100%;
  }

  .btn-group {
    flex-direction: column;
    width: 100%;
  }

  .drop-down--btn__import {
    flex-shrink: 0;
  }

  .drop-menu--container,
  .alert-container {
    width: 70%;
  }

  html {
    font-size: 50%;
  }
}

@media (max-width: 1120px) {
  .drop-down--content--description {
    height: auto;
  }

  .drop-menu--container,
  .alert-container {
    width: 80%;
  }
}
